Get user details by Twitter username.
curl --request POST \
--url https://api.acedata.cloud/x/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "acedatacloud"
}
'import requests
url = "https://api.acedata.cloud/x/users"
payload = { "username": "acedatacloud" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: 'acedatacloud'})
};
fetch('https://api.acedata.cloud/x/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": 904
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Get user details by Twitter username.
POST
/
x
/
users
Get user details by Twitter username.
curl --request POST \
--url https://api.acedata.cloud/x/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "acedatacloud"
}
'import requests
url = "https://api.acedata.cloud/x/users"
payload = { "username": "acedatacloud" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: 'acedatacloud'})
};
fetch('https://api.acedata.cloud/x/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": 904
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Авторизації
API token from https://platform.acedata.cloud
Заголовки
X Users Param Accept
Доступні опції:
application/json, application/x-ndjson Тіло
application/json
X Users Username
Приклад:
"acedatacloud"
Відповідь
X Users Response 200
X Users Response 200 Result
Чи була ця сторінка корисною?

